﻿@model StrucneSpremeViewModel

@{ 
    ViewData["Title"] = "Popis stručnih sprema";
}

<h1>Popis stručnih sprema</h1>
<p>
    <small>
        Stranica za prikaz šifrarnika stručnih sprema. Napravljeno je straničenje i sortiranje. Za svaku stavku je omogućeno uređivanje i brisanje. Prilikom brisanja se pita korisnik je li siguran da želi obrisati zapis.
    </small>
</p>

<a asp-action="Create">Stvori novu stručnu spremu</a>

<pager page-info="@Model.PagingInfo" page-title="Unesite željenu stranicu" page-action="Index" class="float-right"></pager>

<table class="table table-sm table-striped table-hover">
    <thead>
        <tr>
            <th>
                <a asp-route-sort="1"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 1 ? !Model.PagingInfo.Ascending : true)">Naziv</a>
            </th>
            <th></th>
        </tr>
    </thead>

    <tbody>
        @foreach (var strucnaSprema in Model.StrucneSpreme)
        {
            <tr>
                <td class="text-left">@strucnaSprema.Naziv</td>
                <td class="btn-group">
                    <a asp-action="Edit"
                       asp-route-Id="@strucnaSprema.Id"
                       asp-route-page="@Model.PagingInfo.CurrentPage"
                       asp-route-sort="@Model.PagingInfo.Sort"
                       asp-route-ascending="@Model.PagingInfo.Ascending"
                       class="btn btn-sm" title="Ažuriraj"><i class="fas fa-edit"></i></a>

                    <form asp-action="Delete" method="post"
                          asp-route-page="@Model.PagingInfo.CurrentPage"
                          asp-route-sort="@Model.PagingInfo.Sort"
                          asp-route-ascending="@Model.PagingInfo.Ascending">
                        <input type="hidden" name="Id" value="@strucnaSprema.Id" />
                        <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                            <i class="fas fa-trash-alt"></i>
                        </button>
                    </form>
                </td>
            </tr>
        }
    </tbody>
</table>